DefaultSaveEventListener (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.internal
Class DefaultSaveEventListener

    java.lang.Object
      org.hibernate.event.internal.AbstractReassociateEventListener
          org.hibernate.event.internal.AbstractSaveEventListener
              org.hibernate.event.internal.DefaultSaveOrUpdateEventListener
                  org.hibernate.event.internal.DefaultSaveEventListener

All Implemented Interfaces:
  Serializable, SaveOrUpdateEventListener

Direct Known Subclasses:
  EJB3SaveEventListener

    public class DefaultSaveEventListener

extends DefaultSaveOrUpdateEventListener

An event handler for save() events

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.event.internal.AbstractSaveEventListener
`AbstractSaveEventListener.EntityState`

Constructor Summary
`DefaultSaveEventListener()`

Method Summary
`protected Serializable` | `performSaveOrUpdate(SaveOrUpdateEvent event)`
`protected boolean` | `reassociateIfUninitializedProxy(Object object, SessionImplementor source)`
`protected Serializable` | `saveWithGeneratedOrRequestedId(SaveOrUpdateEvent event)` Save the transient instance, assigning the right identifier

Methods inherited from class org.hibernate.event.internal.DefaultSaveOrUpdateEventListener
`entityIsDetached, entityIsPersistent, entityIsTransient, getCascadeAction, getUpdateId, invokeUpdateLifecycle, onSaveOrUpdate, performUpdate`

Methods inherited from class org.hibernate.event.internal.AbstractSaveEventListener
`cascadeAfterSave, cascadeBeforeSave, getAssumedUnsaved, getEntityState, getLoggableName, getMergeMap, invokeSaveLifecycle, isVersionIncrementDisabled, performSave, performSaveOrReplicate, saveWithGeneratedId, saveWithRequestedId, substituteValuesIfNecessary, visitCollectionsBeforeSave`

Methods inherited from class org.hibernate.event.internal.AbstractReassociateEventListener
`reassociate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultSaveEventListener

    public DefaultSaveEventListener()

Method Detail

### performSaveOrUpdate

    protected Serializable performSaveOrUpdate(SaveOrUpdateEvent event)

  Overrides:
    `performSaveOrUpdate` in class `DefaultSaveOrUpdateEventListener`

### saveWithGeneratedOrRequestedId

    protected Serializable saveWithGeneratedOrRequestedId(SaveOrUpdateEvent event)

  Description copied from class: `DefaultSaveOrUpdateEventListener`
  Save the transient instance, assigning the right identifier

  Overrides:
    `saveWithGeneratedOrRequestedId` in class `DefaultSaveOrUpdateEventListener`
  Parameters:
    `event` - The initiating event.
  Returns:
    The entity's identifier value after saving.

### reassociateIfUninitializedProxy

    protected boolean reassociateIfUninitializedProxy(Object object,
                                                      SessionImplementor source)

  Overrides:
    `reassociateIfUninitializedProxy` in class `DefaultSaveOrUpdateEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.